rest(3)

NAME
rest - Waits a specified number of milliseconds or yields CPU. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void rest(unsigned int time);

DESCRIPTION
This function waits for the specified number of milliseconds. Passing 0 as parameter will not wait, but just yield. This can be useful in order to "play nice" with other processes. Other values will cause CPU time to be dropped on most platforms. This will look better to users, and also does things like saving battery power and making fans less noisy. Note that calling this inside your active game loop is a bad idea, as you never know when the OS will give you the CPU back, so you could end up missing the vertical retrace and skipping frames. On the other hand, on multitasking operating systems it is good form to give up the CPU for a while if you will not be using it.

SEE ALSO
install_timer(3), rest_callback(3), vsync(3), d_yield_proc(3)